Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Interface Ref

public interface Ref

The mapping in the Java programming language of an SQL `REF` value, which is a reference to an SQL structured type value in the database.

SQL `REF` values are stored in a special table that contains instances of a referenceable SQL structured type, and each `REF` value is a unique identifier for one instance in that table. An SQL `REF` value may be used in place of the SQL structured type it references; it may be used as either a column value in a table or an attribute value in a structured type.

Because an SQL `REF` value is a logical pointer to an SQL structured type, a `Ref` object is by default also a logical pointer; thus, retrieving an SQL `REF` value as a `Ref` object does not materialize the attributes of the structured type on the client.

A `Ref` object can be saved to persistent storage and is dereferenced by passing it as a parameter to an SQL statement and executing the statement.

The `Ref` interface is new in the JDBC 2.0 API.

See Also:
  `Struct`

Method Summary
`String` | `getBaseTypeName()` Retrieves the fully-qualified SQL name of the SQL structured type that this `Ref` object references.

Method Detail

### getBaseTypeName

    public String getBaseTypeName()
                           throws SQLException

  Retrieves the fully-qualified SQL name of the SQL structured type that this `Ref` object references.
  Returns:
    the fully-qualified SQL name of the referenced SQL structured type
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.2
  See Also:
    What Is in the JDBC 2.0 API

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.